import { OnInit } from '@angular/core';
import { GlobalMessageService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { FindStoreService } from '../services/find-store.service';
import { UserAccountDetailServiceService } from '../services/user-account-detail-service.service';
import { AccountDropdownService } from './account-dropdown.service';
import * as i0 from "@angular/core";
export declare class AccountDropdownComponent implements OnInit {
    private service;
    private fiUserAccountDetailsService;
    private findStoreService;
    private globalMessageService;
    accounts: any;
    selectedUser: any;
    showWaitCursor: BehaviorSubject<boolean>;
    selecteduserData: any;
    isAccountChanged: boolean;
    isAlreadyCalled: boolean;
    constructor(service: AccountDropdownService, fiUserAccountDetailsService: UserAccountDetailServiceService, findStoreService: FindStoreService, globalMessageService: GlobalMessageService);
    ngOnInit(): void;
    getAccountsData(): Promise<void>;
    getAccountName(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccountDropdownComponent, "app-account-dropdown", never, {}, {}, never, never>;
}
